HDDS-5770. Silent failures of k3s install are difficult to debug (#2667)

diff --git a/hadoop-ozone/dev-support/checks/_lib.sh b/hadoop-ozone/dev-support/checks/_lib.sh
index ddf26ba..9342219 100644
--- a/hadoop-ozone/dev-support/checks/_lib.sh
+++ b/hadoop-ozone/dev-support/checks/_lib.sh
@@ -43,8 +43,12 @@
   if [[ ! -d "${dir}" ]]; then
     mkdir -pv "${dir}"
     pushd "${dir}"
-    eval "${func}"
-    echo "Installed ${tool} in ${dir}"
+    if eval "${func}"; then
+      echo "Installed ${tool} in ${dir}"
+    else
+      echo "Failed to install ${tool}"
+      exit 1
+    fi
     popd
   fi